package launcher;

import javafx.application.Application;
import javafx.fxml.FXML;
import javafx.fxml.FXMLLoader;
import javafx.fxml.Initializable;
import javafx.scene.Group;
import javafx.scene.Parent;
import javafx.scene.Scene;
import javafx.scene.layout.BorderPane;
import javafx.scene.layout.StackPane;
import javafx.scene.text.Text;
import javafx.stage.Stage;
import model.Capteur;
import view.CapteurView;
import view.ImageCtrlView;
import view.ThermostatView;

import java.io.IOException;
import java.net.URL;
import java.util.Random;
import java.util.ResourceBundle;

public class Launch extends Application {
    public static void main(String[] args) {
        launch(args);
    }

    @Override
    public void start(Stage primaryStage) throws IOException, InterruptedException {
        Capteur captor = new Capteur(1,"CapteurIncroyable", 15);

        Stage thermostatStage = new Stage();
        CapteurView capteurView = new ImageCtrlView(captor,"view/Image.fxml","mon titre");
        ThermostatView thermostatView = new ThermostatView(captor,"view/Thermostat.fxml","mon titre");

        Random random = new Random();

        Thread t = new Thread() {
            public void run() {
                while (true) {
                    captor.setTemp(random.nextInt(30));
                    try {
                        sleep(1000);
                    } catch (InterruptedException e) {
                        throw new RuntimeException(e);
                    }
                }
            }
        };
        t.start();
    }
}

