package model;

import javafx.beans.property.ObjectProperty;
import javafx.beans.property.SimpleObjectProperty;

import java.util.List;

public class CapteurVirtuel implements CapteurAbstrait{

    private List<CapteurAbstrait> capteurs;

    public CapteurVirtuel(List<CapteurAbstrait> cs){
        this.capteurs = cs;
    }
    public void addCapteur(CapteurAbstrait c){
        capteurs.add(c);
    }

   public void removeCapteur(CapteurAbstrait c){
        capteurs.remove(c);
    }

    @Override
    public ObjectProperty<Double> genTemp() {
        ObjectProperty<Double> avg = new SimpleObjectProperty<>();
        avg.setValue((double) 0);

        for (CapteurAbstrait c: capteurs) {
            avg.setValue(c.genTemp() + avg.getValue());
        }
        avg.set(avg.getValue()/capteurs.size());
        return avg.getValue();
    }
}
